﻿Shader "Custom/UnlitCutout" {
	Properties {
		_MainTex ("Base (RGB) Trans (A)", 2D) = "white" {}
		_Cutoff ("Alpha cutoff", Range(0,1)) = 0.5
	}
	SubShader {
		Tags { "Queue"="Geometry" "IgnoreProjector"="True" "RenderType"="TransparentCutout" }
		LOD 100
		Cull Off
		ZWrite Off
		ZTest Greater

		Pass {
			Lighting Off
			Alphatest Greater [_Cutoff]
			SetTexture [_MainTex] { 
  				combine texture * primary
			} 
		}
	}
}