﻿using UnityEngine;
using System.Collections;
using UnityEngine.Networking;
using UnityEngine.Events;

public class PainterLocalDiscovery : NetworkDiscovery
{
    public class ReceiveBroadcastEvent : UnityEvent<string, string> { }

    public ReceiveBroadcastEvent onReceieveBroadcast = new ReceiveBroadcastEvent();

    public override void OnReceivedBroadcast(string fromAddress, string data)
    {
        Debug.Log("from:" + fromAddress + "\ndata:" + data);
        onReceieveBroadcast.Invoke(fromAddress, data);
    }
}
